#include "StdAfx.h"
#include ".\img8operations.h"

CImg8Operations::CImg8Operations(void)
{
}

CImg8Operations::~CImg8Operations(void)
{
}

#pragma warning(disable : 4799)

// Helper function to convert __int64 to __m64
// Function is supposed to be called after _mm_empty(), as part of MMX code
__m64 CImg8Operations::Get_m64(__int64 n)
{
    union __m64__m64
    {
        __m64 m;
        __int64 i;
    } mi;

    mi.i = n;
    return mi.m;
}

__m128i CImg8Operations::Get_m128(__int64 n1, __int64 n2) 
{
    union __m64__m64
    {
        __m128i m;
        __int64 i[2];
    } mi;

    mi.i[0] = n1;
	mi.i[1] = n2;
    return mi.m;
}

#pragma warning(default : 4799)


// Invert image using C++
void CImg8Operations::InvertImageCPlusPlus(
    BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels)
{

}

// Invert image using C++ with MMX
void CImg8Operations::InvertImageC_MMX(
    BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels)
{
    
}

// Invert image using Assembly with MMX
void CImg8Operations::InvertImageC_SSE2(
    BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels)
{
	
}

// Change brightness using C++
void CImg8Operations::ChangeBrightnessCPlusPlus(
    BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels, 
    int nChange)
{
   
}

// Change brightness using C++ with MMX
void CImg8Operations::ChangeBrightnessC_MMX(
    BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels, 
    int nChange)
{
	
}

// Change brightness using C++ with SSE2
void CImg8Operations::ChangeBrightnessC_SSE2(
    BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels, 
    int nChange)
{
	
}

// Perform thresholding using C++
void CImg8Operations::PerformThresholdingCPlusPlus(
	BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels, 
    int nThreshold)
{
	
}

// Perform thresholding using C++ with MMX
void CImg8Operations::PerformThresholdingC_MMX(
	BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels, 
    int nThreshold)
{
	
}

// Perform thresholding using C++ with SSE2
void CImg8Operations::PerformThresholdingC_SSE2(
	BYTE* pSource, 
    BYTE* pDest, 
    int nNumberOfPixels, 
    int nThreshold)
{
	
}