// InputDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MMX8.h"
#include "InputDialog.h"


// CInputDialog dialog

IMPLEMENT_DYNAMIC(CInputDialog, CDialog)

CInputDialog::CInputDialog(LPCTSTR title, CWnd* pParent /*=NULL*/)
	: CDialog(CInputDialog::IDD, pParent)
	, readValue(0), m_Title(title)
{

}

CInputDialog::~CInputDialog()
{
}

BOOL CInputDialog::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetWindowText(m_Title);
	return TRUE;
}

void CInputDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT2, readValue);
	DDV_MinMaxInt(pDX, readValue, -255, 255);
}

BEGIN_MESSAGE_MAP(CInputDialog, CDialog)
	ON_EN_CHANGE(IDC_EDIT2, &CInputDialog::OnEnChangeEdit1)
END_MESSAGE_MAP()


// CInputDialog message handlers

void CInputDialog::OnEnChangeEdit1()
{
	// TODO:  If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.

	// TODO:  Add your control notification handler code here
}

void CInputDialog::setTitle(LPCTSTR lpString)
{
	SetWindowText(lpString);
}

int CInputDialog::getValue(void)
{
	return readValue;
}